package cn.estsh.i3plus.pojo.aps.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description : 用于注解不需要进行导入导出的bean对象
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-29
 * @Modify:
 **/
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcludeImportExport {
    boolean excludeImport() default true;
    boolean excludeExport() default true;
}
