package cn.estsh.i3plus.pojo.aps.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 进度条显示信息。
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-01
 * @Modify:
 **/
@Data
public class ImportDataModel {
    @ApiParam(value ="当前执行进度")
    private Integer curProcess = 0;

    @ApiParam(value ="总行数")
    private Integer totalSize = 0;

    @ApiParam(value ="进度消息")
    private String processMsg = "";

    private Boolean finish = false;

    @ApiParam(value ="异常消息")
    private String exception = "";

    private ImportErrorInfo errorInfo;
}
