package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.bean.FurnacePlan;
import cn.estsh.i3plus.pojo.aps.bean.Resource;
import cn.estsh.i3plus.pojo.aps.bean.WorkPlan;
import lombok.Data;

/**
 * @Description : 计划记录
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-04-15
 * @Modify:
 **/
@Data
public class PlanRecord {
    /**
     * 需要插入的工作计划
     */
    private WorkPlan plan;
    /**
     * 插入到目标资源
     */
    private Resource resource;
    /**
     * 插入到目标工作计划前面
     */
    private WorkPlan postPlan;

    /**
     * 插入到指定炉资源上
     */
    private FurnacePlan furnacePlan;
}
