package cn.estsh.i3plus.pojo.bsp.client.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * @author ns
 * @create 2021/5/26 0026 下午 13:24
 * 方法执行所需要的参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("方法执行所需要的参数")
public class MethodExcuteParam implements Serializable {
    @ApiParam("调用方法的key")
    private String methodHandlerKey;
    @ApiParam(value = "调用方法的参数map", allowEmptyValue = true)
    private Map<String, Object> jsonParamMap;
    @ApiParam(value = "调用方法参数列表", allowEmptyValue = true)
    private Object[] jsonParamArray;
    @ApiParam("日志id")
    private Integer logId;
    @ApiParam("日志时间")
    private String logDateTimeParam;
    @ApiParam("调用的超时时间")
    private Integer executorTimeout;
}
