package cn.estsh.i3plus.pojo.bsp.client.bean.po;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author ns
 * @create 2021/6/18 0018 上午 10:53
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Api("查询方法日志的结果")
public class LogResult {

    @ApiParam("日志开始行号")
    private int fromLineNum;
    @ApiParam("日志结束行号")
    private int toLineNum;
    @ApiParam("日志内容")
    private String logContent;
    @ApiParam("日志是否结束")
    private boolean isEnd;
}
