package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/10/18 2:55 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_HOLIDAY_VACTION")
@Api("节假日")
public class MesHolidayVacation extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1620451254243818560L;
    @Column(name = "YEAR")
    @ApiParam("年")
    private String year;

    @Column(name = "MONTH")
    @ApiParam("月")
    private String month;

    @Column(name = "DAY")
    @ApiParam("日")
    private String day;
}
