package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: dominic
 * @Date: 2020/12/03 20:29
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PENDING_REPORT_TYPE")
@Api("MES_待处理报工类型")
public class MesPendingReportType extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5274274774653791153L;

    @Column(name = "PATTERN_CODE")
    @ApiParam("模式代码")
    private String patternCode;

    @Column(name = "PATTERN_NAME")
    @ApiParam("模式代码名称")
    private String patternName;

    @Column(name = "REPORT_TYPE")
    @ApiParam("类型")
    private Integer reportType;
}
