package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/7/28 2:37 下午
 * @Modify:
 */
@Data
public class LogisticsBiModel implements Serializable {

    @ApiParam(value = "去年每月发运数量")
    private double lastQty = 0;

    @ApiParam(value = "今年每月发运数量")
    private double thisQty = 0;

    @ApiParam(value = "比例值")
    private double annualRatio = 0;

    @ApiParam(value = "月份")
    private Integer month;

    @ApiParam(value = "实际出库数量")
    private double outQty = 0;

    @ApiParam(value = "BP总数")
    private double bpQty= 0;
}
