package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description:
 * @CreateDate: 2020/9/29
 * @Author: simon.song
 */
@Data
public class MesControlPlanModel {

    @ApiParam("控制计划主键ID")
    private Long id;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户名称")
    private String custName;

    @ApiParam("版本号")
    private Integer version;

    @ApiParam("审核状态")
    private Integer auditType;

    @ApiParam("是否启用")
    private Integer isEnable;

    @ApiParam("是否删除")
    private Integer isCutOut;

    @ApiParam("质量标准数组")
    private List<MesQualityStandardModel> standardList;

}
