package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 卡斯马报废率趋势查询条件封装类
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2020-12-24 16:35
 * @Modify:
 **/
@Data
@Api("报废率趋势查询条件封装类")
public class ScrapRateTrendQueryModel {

    @ApiParam("组织机构代码")
    private String organizeCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("时间类型")
    private String timeType;

    @ApiParam("项目号")
    private String prodCfgTypeCode;

    @ApiParam("物料号")
    private String partNo;

}
