package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesStepParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 状态机流程工步参数设计Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-09-27 15:39
 * @Modify:
 **/
@Data
@Api("状态机流程工步参数设计Model")
public class StateMachineStepParamModel extends MesStepParam {

    @ApiParam("参数值")
    private String paramValue;

    @ApiParam("可选值的数据")
    private List<Map<String, Object>> enumList;
}
