package cn.estsh.i3plus.pojo.mes.model.mgn.tj;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 总装实际产量model
 * @Author: wangjie
 * @Date: 2020/10/28 2:56 PM
 * @Modify:
 */
@Data
public class AssemblyRealWorkModel {

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("实际产量")
    private Double realProdQty;

    @ApiParam("实际目标")
    private Double realPlanQty;

    @ApiParam("班产目标")
    private Double shiftPlanQty;

    @ApiParam("本班达成率")
    private Integer shiftPassPercent;

}
