package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 产品工序过程查询-条件
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/10 11:02
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("产品工序过程查询-条件")
public class ConditionQueryModel {

    @ApiParam("项目名称")
    private String prodCfgTypeCode;

    @ApiParam("客户零件号")
    private String customerPartNo;

    @ApiParam("开始时间")
    private String modifyStartDate;

    @ApiParam("结束时间")
    private String modifyEndDate;

    @ApiParam("零件二维码")
    private String serialNumber;

    @ApiParam("质量状态")
    private Integer qcStatus;
}
