package cn.estsh.i3plus.pojo.mes.model.report;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 产品条码返回model
 * @author xiangming.liao
 * @version 1.0
 * @date 2021/01/06 10:43
 **/
@Data
@ApiModel("产品条码返回model")
public class CosmaReportProductSnModel extends MesProduceSn implements Serializable {

    private static final long serialVersionUID = 5217363746963291483L;
    @ApiParam("条码类型Name")
    private String snTypeName;

}
