package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/9 14:29
 **/
@ApiModel("项目号零件号")
@Data

public class ProdCustPartModel {

    @ApiParam("项目号")
    private String prodCfgTypeCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("客户零件号")
    private String customerPartNo;

    public ProdCustPartModel(String prodCfgTypeCode, String partNo, String customerPartNo) {
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.partNo = partNo;
        this.customerPartNo = customerPartNo;
    }
}
