package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * 生产统计
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/24 16:13
 **/
@Data
public class ProductStatisticsQueryModel {

    @ApiParam("生产线")
    private List<String> workCenterCodeList;
    @ApiParam("工序")
    private List<String> processCodeList;
    @ApiParam("零件号")
    private List<String> partNoList;
    @ApiParam("生产线")
    private String workCenterCode;
    @ApiParam("工序")
    private String processCode;
    @ApiParam("零件号")
    private String partNo;
    @ApiParam("开始日期")
    private String modifyStartDate;
    @ApiParam("结束日期")
    private String modifyEndDate;
    @ApiParam("质量状态")
    private String qcStatus;
    @ApiParam("过程条码")
    private String serialNumber;
}
