package cn.estsh.i3plus.pojo.model.platform;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/2/20 下午4:39
 * @desc
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Api("日志字段模型")
public class LogFieldModel implements Serializable {
    private static final long serialVersionUID = 6303989757683476327L;

    @ApiParam("日志时间")
    private String time;

    @ApiParam("线程")
    private String thread;

    @ApiParam("日志等级")
    private String level;

    @ApiParam("执行堆栈")
    private String stack;

    @ApiParam("日志信息")
    private String message;
}
