package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsActionGroup;
import cn.estsh.i3plus.pojo.wms.bean.WmsOptionModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description 作业流程缓存Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/7/24 22:16
 * @Modify
 */
@Data
public class WmsAgCacheModel implements Serializable {

    private static final long serialVersionUID = -330934023509433493L;
    @ApiParam("作业流程")
    public WmsActionGroup wmsActionGroup;
    @ApiParam("流程初始化自定义组件")
    public List<WmsOptionModel> options;
    @ApiParam("作业流程明细Model集合")
    public Map<String, WmsAgdCacheModel> wmsAgdCacheModelMap;
    @ApiParam("流程级别组件参数集合")
    public Map<String,Map<String,String>> wmsAgAmParamsMap;
}
