package cn.estsh.i3plus.pojo.screen.component.base;

import cn.estsh.i3plus.pojo.screen.bean.BaseScreenBean;
import lombok.Data;

/**
 * @author Wynne.Lu
 * @date 2021/3/11 下午12:32
 * @desc
 */
@Data
public abstract class BaseComponent extends BaseScreenBean {

    private static final long serialVersionUID = 6768391193506016205L;

    private String componentCode;

    private String modelCode;

    private String cssStyle;

    private Integer tabIndex;

    private String componentType = this.getClass().getName();

    private String communicationType;

}
