package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@Builder
@ApiModel("datasource基础信息")
public class ScrDatasourceInfoModel implements Serializable {
    private static final long serialVersionUID = -5818708649412989886L;

    @ApiModelProperty("数据库已知用户")
    private String dbKnewUser;

    @ApiModelProperty("数据库系统函数")
    private String dbSysFunction;

    @ApiModelProperty("数据库系统函数")
    private String dbDateFunction;

    @ApiModelProperty("数据库系统函数")
    private String dbStringFunction;

    @ApiModelProperty("数据库连接字符串")
    private String dbConnectUrl;

    @ApiModelProperty("数据库是否只读")
    private boolean dbIsReadOnly;

    @ApiModelProperty("数据库产品名称")
    private String dbProductName;

    @ApiModelProperty("数据库版本")
    private String dbVersion;

    @ApiModelProperty("数据库驱动")
    private String dbDriver;

    @ApiModelProperty("数据库驱动版本")
    private String dbDriverVersion;

}
