package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrModel;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelFieldIndex;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelFieldVirtual;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/5/27 13:30
 * @desc
 */
@Data
@ApiModel("模型 模型字段 模型虚拟属性 模型索引")
public class ScrModelFieldVirtualIndexModel implements Serializable {
    private static final long serialVersionUID = 8024395604541668081L;

    @ApiModelProperty("模型")
    private ScrModel model;

    @ApiModelProperty("模型字段")
    private List<ScrModelField> modelFields;

    @ApiModelProperty("模型虚拟字段")
    private List<ScrModelFieldVirtual> modelFieldVirtuals;

    @ApiModelProperty("模型索引")
    private List<ScrModelFieldIndex> modelFieldIndices;
}
