package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("table索引类型 包含主键索引")
public class ScrTableIndexModel extends ScrTableModel implements Serializable {
    private static final long serialVersionUID = -6849703973729507400L;

    @ApiModelProperty("索引是否唯一键")
    private Boolean indexUnique;

    @ApiModelProperty("索引类别（可能为空）")
    private String indexQualifier;

    @ApiModelProperty("索引名称")
    private String indexName;

    @ApiModelProperty("索引类型")
    private Short indexType;

    @ApiModelProperty("索引列顺序号")
    private Short indexOrdinalPosition;

    @ApiModelProperty("索引列名")
    private String indexColumnName;

    @ApiModelProperty(value = "索引升降序", notes = "A升序 B降序")
    private String indexAscDesc;

}
