package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : WmsFinePunchWarehouseWarningDto
 * @Author :gsz
 * @Date 2021/7/5 11:03
 * @Modify
 **/
@Data
@Api("中航WMS看板－精冲库存预警看板(出参)")
public class WmsFinePunchWarehouseWarningDto {

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件号名称")
    private String partNameRdd;

    @ApiParam(value = "库存地")
    private String areaNo;

    @ApiParam(value = "库存数")
    private Double qty;

    @ApiParam(value = "最大库存值")
    private Double maxqty;

    @ApiParam(value = "预警值")
    private Double warnValue;

    @ApiParam(value = "最小库存值")
    private Double minqty;

    @ApiParam(value = "库存状态")
    private String stockStatus;

    @ApiParam(value = "颜色")
    private String color;

    public WmsFinePunchWarehouseWarningDto(String partNo, String partNameRdd, String areaNo, Double qty, Double maxqty, Double warnValue, Double minqty, String stockStatus, String color) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.areaNo = areaNo;
        this.qty = qty;
        this.maxqty = maxqty;
        this.warnValue = warnValue;
        this.minqty = minqty;
        this.stockStatus = stockStatus;
        this.color = color;
    }

    public WmsFinePunchWarehouseWarningDto() {
    }
}