package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@Api("JIS发运报表明细模型")
public class JisReportDetailModel extends BaseBean {
    @ApiParam("客户工厂")
    private String customerNo;
    @ApiParam("计划发货数量")
    private Integer planShipingCount;
    @ApiParam("计划发货时间")
    private String planLoadTime;
    @ApiParam("料架号")
    private String fixLotNo;
    @ApiParam("排序单号")
    private String queneGroupNo;
    @ApiParam("JIS号")
    private String jisNo;
    @ApiParam("箱条码")
    private String sn;
    @ApiParam("实际发货时间")
    private String actualLoadTime;
    @ApiParam("实际上线时间")
    private String custOnLineTime;
}
