package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.wms.bean.WmsSerialSn;
import cn.estsh.i3plus.pojo.wms.bean.WmsStockSn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : Batch数据模型
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2021-04-05 14:53
 * @Modify:
 **/
@Data
@Api("Batch数据模型")
public class WmsBatchModel {

    @ApiParam("二维条码集合")
    private List<WmsSerialSn> wmsSerialSns;

    @ApiParam("条码集合")
    private List<WmsStockSn> wmsStockSnList;

    @ApiParam("Batch号")
    private String bhCode;

    @ApiParam("上一个熔深Batch号")
    private String firstSnBatch;

    @ApiParam("新事务单号")
    private String moveNo;

    @ApiParam("是否正常件")
    private boolean flag;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("操作人")
    private String userName;

}
