package cn.estsh.i3plus.pojo.aps.annotation;

import cn.estsh.i3plus.pojo.aps.validator.CalendarTimeValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description : 日历时间校验注解
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-04-23
 * @Modify:
 **/
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy={CalendarTimeValidator.class})
public @interface CalendarTimeAnntation {
    String message() default "日历时间格式错误，示例(多个以逗号分隔)：2020-01-01~2020-02-01";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
