package cn.estsh.i3plus.pojo.bsp.client.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

import java.io.Serializable;
import java.lang.reflect.Method;
import java.util.List;

/**
 * @author ns
 * @create 2021/5/24 0024 上午 11:08
 */
@Getter
@ToString
@AllArgsConstructor
@Api("方法信息")
public class MethodDescription implements Serializable {
    @ApiParam("方法的代理对象")
    private final Method method;
    @ApiParam("方法参数的长度")
    private final int ParamLength;
    @ApiParam("方法参数的详细信息")
    private final List<ParamInfo> paramInfoList;
}
