package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/21 10:40
 * @Modify:
 **/
@Data
@AllArgsConstructor
@Api("添加方法组")
public class MethodGroupModel {

    @ApiParam("方法组的名称")
    private String methodGroupName;
    @ApiParam("方法组的描述")
    private String description;
    @ApiParam("方法组层级列表")
    private List<MethodLevelModel> methodLevel;
}
