package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/21 11:18
 * @Modify:
 **/
@Data
@AllArgsConstructor
@Api("添加方法组层级参数")
public class MethodLevelParamModel {
    @ApiParam("根据出参生成，入参key = 层级 + methodId + 出参Name")
    private String paramKey;
    @ApiParam("对应本方法的入参名称")
    private String paramValue;
    @ApiParam("入参类型，用于校验数据类型")
    private String type;
}
