package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Description :执行器注册参数
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/11 16:57
 * @Modify:
 **/
@Data
@AllArgsConstructor
@Api("注册/心跳")
public class RegistryMessageInfo {

    @ApiParam("appName,根据appName分执行器组")
    private String appName;

    @ApiParam("执行器地址")
    private String address;

    @ApiParam("方法列表")
    private List<RegistryMethodInfo> methodRegistryParamList;


}
