package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/18 14:31
 * @Modify:
 **/
@Entity
@Table(name = "METHOD_GROUP_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法组合")
public class MethodGroupInfo extends BaseBean implements Serializable {


    private static final long serialVersionUID = -7868208264526298210L;

    @Column(name = "NAME")
    @ApiModelProperty("方法组名称")
    private String name;

    @Column(name = "DESCRIPTION")
    @ApiModelProperty("方法组描述")
    private String description;


}
