package cn.estsh.i3plus.pojo.bsp.server.bean.screen;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/21 9:44
 * @Modify:
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Api("通用界面单独调用方法")
public class InvokeMethodModel {
    @ApiParam("调用方法的Id,或者方法组Id")
    private Long id;

    @ApiParam("方法的入参map")
    private Map<String,Object> params;
}
