package cn.estsh.i3plus.pojo.mdm.bean.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : pantianhu
 * @CreateDate : 2021-05-26 17:04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MDM_FIELD")
@ApiModel("表字段")
public class MdmField extends BaseMdmBean {

    @Column(name="TABLE_NAME")
    @ApiParam(value ="表名")
    private String tableName;

    @Column(name="TABLE_DESCRIPTION")
    @ApiParam(value ="表描述")
    private String tableDescription;

    @Column(name="FIELD_NAME")
    @ApiParam(value ="字段名称")
    private String fieldName;

    @Column(name="FIELD_DESCRIPTION")
    @ApiParam(value ="字段描述")
    private String fieldDescription;

    @Column(name="SERVICE_NAME")
    @ApiParam(value ="服务名称")
    private String serviceName;

    @Column(name="SERVICE_CODE")
    @ApiParam(value ="服务代码")
    private String serviceCode;

    @Column(name="IS_SELECT")
    @ApiParam(value ="是否选中")
    private Integer isSelect;
}
