package cn.estsh.i3plus.pojo.mdm.bean.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :邮件配置
 * @Reference :
 * @Author : pantianhu
 * @CreateDate : 2021-05-29 15:17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MDM_MAIL")
@ApiModel("邮件配置")
public class MdmMail extends BaseMdmBean{
    @Column(name = "MESSAGE_SENDER_NAME_RDD")
    @ApiParam(value = "发送者名称")
    private String messageSenderNameRdd;

    @Column(name = "MESSAGE_RECEIVERS_NAME_RDD")
    @ApiParam(value = "接受者名称")
    private String messageReceiversNameRdd;

    @Column(name = "IS_SEND")
    @ApiParam(value = "是否发送")
    private Integer isSend;

}
