package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: dominic
 * @Date: 2020/12/03 20:29
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_ANALYSIS_RULE")
@Api("MES_解析规则")
public class MesAnalysisRule extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5274274774653791153L;

    @Column(name = "RULE_CODE")
    @ApiParam("规则代码")
    private String ruleCode;

    @Column(name = "ANALYSIS_RULE_CODE")
    @ApiParam("解析规则")
    private String analysisRuleCode;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;
}
