package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplate;
import cn.estsh.i3plus.pojo.mes.bean.MesPackage;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: siliter.yuan
 * @CreateDate: 2020\06\22 15:58
 * @Modify:
 **/
@Data
public class MesPaintSnPrintModel implements Serializable {

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("过程条码数组")
    private List<String> serialNumberList;

    @ApiParam("产品条码")
    private String produceSn;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("包装信息")
    private MesPackage packageInfo;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("打印模板")
    private MesLabelTemplate labelTemplate;
}
