package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesQcOrderDetailRecordModel implements Serializable {
    private static final long serialVersionUID = -7216132883079491432L;

    @ApiParam("检测人")
    private String createUser;

    @ApiParam("检测时间")
    private String createDatetime;

    @ApiParam("质检单号")
    private String orderNo;

    @ApiParam("判定结果")
    private String checkResult;

    @ApiParam("检测值")
    private String checkValue;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("检测顺序")
    private Integer checkSeq;


    @ApiParam("检测类型")
    private Integer checkType;

    @ApiParam("检测项类型")
    private String checkItemType;

    @ApiParam("检测项")
    private String checkItem;

    @ApiParam("检测标准")
    private String checkStandard;

    @ApiParam("检测指导")
    private String checkGuide;

    @ApiParam("频率")
    private String checkFrequency;

    @ApiParam("是否允许让步")
    private Integer isConcession = 0;

    @ApiParam("检验行号")
    private Integer itemNo = 0;

//    @ApiParam("产品条码")
//    private String serialNumber;

    @ApiParam("数量")
    private Integer qty;

    @ApiParam("已检数量")
    private Integer finishQty;

    @ApiParam("最大数")
    private Double maximum = 0d;

    @ApiParam("最小数")
    private Double minimum = 0d;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("数据源")
    private String dataSource;

    @ApiParam("检测值类型")
    private String checkValueType;

    @ApiParam("是否关键检测项")
    private Integer isKeyCheckItem;

    @ApiParam(value = "检测项类型名称")
    private String businessTypeName;

}
