package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesPartProduceType;
import cn.estsh.i3plus.pojo.mes.bean.MesProcess;
import cn.estsh.i3plus.pojo.mes.bean.MesRoute;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 流程工序Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-09-27 15:39
 * @Modify:
 **/
@Data
@Api("流程工序Model")
public class RouteProcessModel {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("流程类型")
    private Integer routeType;

    @ApiParam("流程集合")
    private List<MesRoute> routeList;

    @ApiParam("工序集合")
    private List<MesProcess> processList;

    @ApiParam("生产类型集合")
    private List<MesPartProduceType> pptList;
}
