package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesStateMachineStatus;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 状态点设计Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-09-27 15:39
 * @Modify:
 **/
@Data
@Api("状态点设计Model")
public class StateMachineStatusModel extends MesStateMachineStatus {

    @ApiParam("状态点顺序")
    private Integer seq = 0;

    @ApiParam("状态点工步集Map")
    private Map<String, List<StateMachineStepModel>> stepGroupMap;

    @ApiParam("下个状态点MAP")
    private Map<String, Map<String, String>> nextStatusGroupMap;

}
