package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesStep;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 状态机流程工步设计Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-09-27 15:39
 * @Modify:
 **/
@Data
@Api("状态机流程工步设计Model")
public class StateMachineStepModel extends MesStep {

    @ApiParam("工步参数集合")
    private List<StateMachineStepParamModel> stepParamList;
}
