package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description : 报废率趋势model
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2021/6/17 19:12
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("报废率趋势model")
public class ScrapRateTrendReportModel {

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("修改时间")
    private String modifyDatetime;

    @ApiParam("操作类型")
    private Integer operateType;

    @ApiParam("报废原因")
    private String scrapCode;
}
