package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrLayoutColumn;
import cn.estsh.i3plus.pojo.screen.bean.ScrLayoutRow;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午8:35
 * @desc
 */
@Data
@ApiModel("行列Model")
public class ScrRowColumnModel implements Serializable {
    private static final long serialVersionUID = 7450630220924238356L;

    @ApiModelProperty("行")
    private ScrLayoutRow row;

    @ApiModelProperty("行中的列")
    private List<ScrLayoutColumn> columns;
}
