package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
@ApiModel("Screen与Panel的创建Model")
public class ScrScreenPanelCreateModel implements Serializable {
    private static final long serialVersionUID = -5832175256726333348L;

    @ApiModelProperty("screen代码")
    private String screenCode;

    @ApiModelProperty("布局代码")
    private String layoutCode;

    @ApiModelProperty("行代码")
    private String rowCode;

    @ApiModelProperty("列代码")
    private String columnCode;

    @ApiModelProperty("panel代码")
    private String panelCode;

}
