package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@Builder
@ApiModel("table类型")
public class ScrTableModel implements Serializable {
    private static final long serialVersionUID = 6273278236124833259L;

    @ApiModelProperty("库名")
    private String tableCatalog;

    @ApiModelProperty("Schema")
    private String tableSchem;

    @ApiModelProperty("表名")
    private String tableName;

    @ApiModelProperty("类型:TABLE|VIEW")
    private String tableType;

    public ScrTableModel() {
    }

    public ScrTableModel(String tableCatalog, String tableSchem, String tableName, String tableType) {
        this.tableCatalog = tableCatalog;
        this.tableSchem = tableSchem;
        this.tableName = tableName;
        this.tableType = tableType;
    }
}
