package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@ApiModel("table主键索引")
@EqualsAndHashCode(callSuper = true)
public class ScrTablePrimaryIndexModel extends ScrTableModel implements Serializable {
    private static final long serialVersionUID = 3555705756354710415L;

    @ApiModelProperty("列名")
    private String columnName;

    @ApiModelProperty("主键顺序")
    private Short keySeq;

    @ApiModelProperty("主键名称")
    private String pkName;


}
