package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
/**
 * @Description : 自动生成领料看板model
 * @Author : shun.cui
 * @CreateDate : 2020/12/17 10:34
 * @Modify :
 **/
@Data
@Api("自动生成领料看板")
public class AutoPickingModel {
    @ApiParam("工厂名")
    private String organizeCode;
    @ApiParam("计划日期")
    private String planDate;
    @ApiParam("sap单号")
    private String erpSrcNo;
    @ApiParam("状态")
    private int orderStatus;
    @ApiParam("父零件号")
    private String partNo;
    @ApiParam("简称")
    private String partNameRdd;
    @ApiParam("成品数量")
    private Double productQty;
    @ApiParam("完成数量")
    private Double printQty;
    @ApiParam("总数量")
    private Double qty;
    @ApiParam("操作时间")
    private String modifyDateTime;
    @ApiParam("操作人")
    private String modifyUser;
}
